public class AKM {
    private double bulletSpeed;

    public AKM(double bulletSpeed) {
        this.bulletSpeed = bulletSpeed;
    }

    public double getBulletSpeed() {
        return bulletSpeed;
    }

    public void setBulletSpeed(double bulletSpeed) {
        this.bulletSpeed = bulletSpeed;
    }

    public void fireBullet() {
        System.out.println("fire bullets，The speed is：" + bulletSpeed);
    }

    public static void main(String[] args) {
        AKM AKM = new AKM(50); 
        System.out.println("raw speed： " + AKM.getBulletSpeed());

        AKM.setBulletSpeed(100); 
        System.out.println("increased speed： " + AKM.getBulletSpeed());

        AKM.fireBullet(); 
    }
}
class AKM {
public:
    float bulletSpeed; 

    AKM(float speed) : bulletSpeed(speed) {}
};

int main() {
    AKM AKM(50); 

    while (true) {
        AKM.bulletSpeed *= 1.2; 

    }

    return 0;
}
